Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value.binary
Class BinaryStoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jcr.RepositoryException
                  org.modeshape.jcr.value.binary.BinaryStoreException

All Implemented Interfaces:
  Serializable

    public class BinaryStoreException

extends RepositoryException

An exception in a BinaryStore.

See Also:
  Serialized Form

Constructor Summary
`BinaryStoreException(String message)` Create a new binary store exception with the specified message and cause.
`BinaryStoreException(String message, Throwable rootCause)` Create a new binary store exception with the specified message and cause.
`BinaryStoreException(Throwable rootCause)` Create a new binary store exception with the specified message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BinaryStoreException

    public BinaryStoreException(String message,
                                Throwable rootCause)

  Create a new binary store exception with the specified message and cause.

  Parameters:
    `message` - the message
    `rootCause` - the cause

### BinaryStoreException

    public BinaryStoreException(String message)

  Create a new binary store exception with the specified message and cause.

  Parameters:
    `message` - the message

### BinaryStoreException

    public BinaryStoreException(Throwable rootCause)

  Create a new binary store exception with the specified message and cause.

  Parameters:
    `rootCause` - the cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.